更新 deviceManagementIntentDeviceState
命名空间:microsoft.graph
重要提示: Microsoft Graph /beta 版本下的 API 可能会更改;不支持生产使用。
注意: 适用于 Intune 的 Microsoft Graph API 需要适用于租户的 活动 Intune 许可证。
更新 deviceManagementIntentDeviceState 对象 的属性。
先决条件
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | DeviceManagementConfiguration.ReadWrite.All |
| 委派(个人 Microsoft 帐户) | 不支持。 |
| 应用程序 | DeviceManagementConfiguration.ReadWrite.All |
HTTP 请求
PATCH /deviceManagement/intents/{deviceManagementIntentId}/deviceStates/{deviceManagementIntentDeviceStateId}
请求标头
| 标头 | 值 |
|---|---|
| Authorization | Bearer <token>。必需。 |
| 接受 | application/json |
请求正文
在请求正文中,提供 deviceManagementIntentDeviceState 对象的 JSON 表示形式。
下表显示创建 deviceManagementIntentDeviceState时所需的属性。
| 属性 | 类型 | 说明 |
|---|---|---|
| id | String | The ID |
| userPrincipalName | String | 在设备上报告的用户主体名称 |
| userName | String | 在设备上报告的用户名 |
| deviceDisplayName | String | 报告的设备名称 |
| lastReportedDateTime | DateTimeOffset | 意图报告的上次修改日期时间 |
| state | complianceStatus | 意图的设备状态。 可取值为:unknown、notApplicable、compliant、remediated、nonCompliant、error、conflict、notAssigned。 |
| deviceId | String | 报告的设备 ID |
响应
如果成功,此方法在响应正文中返回 响应代码和更新的 200 OK deviceManagementIntentDeviceState 对象。
示例
请求
下面是一个请求示例。
PATCH https://graph.microsoft.com/beta/deviceManagement/intents/{deviceManagementIntentId}/deviceStates/{deviceManagementIntentDeviceStateId}
Content-type: application/json
Content-length: 342
{
"@odata.type": "#microsoft.graph.deviceManagementIntentDeviceState",
"userPrincipalName": "User Principal Name value",
"userName": "User Name value",
"deviceDisplayName": "Device Display Name value",
"lastReportedDateTime": "2017-01-01T00:00:17.7769392-08:00",
"state": "notApplicable",
"deviceId": "Device Id value"
}
响应
下面是一个响应示例。注意:为了简单起见,可能会将此处所示的响应对象截断。将从实际调用中返回所有属性。
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: 391
{
"@odata.type": "#microsoft.graph.deviceManagementIntentDeviceState",
"id": "8db75881-5881-8db7-8158-b78d8158b78d",
"userPrincipalName": "User Principal Name value",
"userName": "User Name value",
"deviceDisplayName": "Device Display Name value",
"lastReportedDateTime": "2017-01-01T00:00:17.7769392-08:00",
"state": "notApplicable",
"deviceId": "Device Id value"
}
反馈
提交和查看相关反馈